org.apache.cassandra.db

## Class DiskBoundaryManager

- java.lang.Object
- - org.apache.cassandra.db.DiskBoundaryManager

    public class DiskBoundaryManager
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`DiskBoundaryManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DiskBoundaries` `getDiskBoundaries(ColumnFamilyStore cfs)`
`void` `invalidate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiskBoundaryManager

    public DiskBoundaryManager()

### Method Detail

#### getDiskBoundaries

    public DiskBoundaries getDiskBoundaries(ColumnFamilyStore cfs)

#### invalidate

    public void invalidate()